Page MenuHomePhabricator

[AMDGPU] SDWA: add support for GFX9 in peephole pass
ClosedPublic

Authored by SamWot on Jun 15 2017, 9:29 AM.

Details

Summary

Added support based on merged SDWA pseudo instructions. Now peephole allow one scalar operand, omod and clamp modifiers.
Added several subtarget features for GFX9 SDWA.
This diff also contains changes from D34026.
Depends D34026

Diff Detail

Repository
rL LLVM

Event Timeline

SamWot created this revision.Jun 15 2017, 9:29 AM
SamWot added a subscriber: Restricted Project.
rampitec edited edge metadata.Jun 15 2017, 10:44 AM

Do not you need to update SIInstrInfo::isSDWA() to check both flags?

Peephole part looks good to me.
Please wait for others to review the rest of it.

vpykhtin accepted this revision.Jun 20 2017, 3:29 AM

LGTM, with nit.

lib/Target/AMDGPU/VOPInstructions.td
404 ↗(On Diff #102678)

add later?

This revision is now accepted and ready to land.Jun 20 2017, 3:29 AM
SamWot updated this revision to Diff 103525.Jun 21 2017, 10:38 PM

Removed changes from merge pseudo instrutions

rampitec accepted this revision.Jun 21 2017, 11:00 PM
This revision was automatically updated to reflect the committed changes.